network disabled after suspend - resume

Bug #1380480 reported by Reinis Zumbergs on 2014-10-13
388
This bug affects 156 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
network-manager (Ubuntu)
High
Unassigned

Bug Description

Background:
this started to happen after the upgrade to Utopic Beta 1

3) When I close the laptop's lid and open, the wifi should reconnect
4) Wifi does not reconnect. It says "Wi-Fi networks" - "disconnected" when I left-click on NM icon in notif area. However the context menu (right-click) has items "Enable networking" and "Enable Wi-Fi" both with checkmarks.

Workarounds:
switch off - on the physical switch on laptop OR two times go and select "Enable networking" in the NM context menu (after first time it removes checkmark and the "Enable Wi-Fi" item - visual feedback of being disabled).

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: network-manager 0.9.8.8-0ubuntu27
ProcVersionSignature: Ubuntu 3.16.0-21.28-generic 3.16.4
Uname: Linux 3.16.0-21-generic x86_64
ApportVersion: 2.14.7-0ubuntu5
Architecture: amd64
CurrentDesktop: XFCE
Date: Sat Oct 11 22:33:06 2014
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
InstallationDate: Installed on 2013-07-21 (447 days ago)
InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Release amd64 (20130423.1)
IpRoute:
 default via 192.168.10.1 dev wlan0 proto static
 10.9.9.0/24 dev vboxnet0 proto kernel scope link src 10.9.9.1
 192.168.10.0/24 dev wlan0 proto kernel scope link src 192.168.10.239 metric 9
SourcePackage: network-manager
UpgradeStatus: Upgraded to utopic on 2014-09-25 (16 days ago)
mtime.conffile..etc.NetworkManager.NetworkManager.conf: 2014-07-19T15:03:44.847279
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 eth0 802-3-ethernet unavailable /org/freedesktop/NetworkManager/Devices/1
 wlan0 802-11-wireless connected /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.8.8 connected enabled enabled enabled enabled enabled

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager (Ubuntu):
status: New → Confirmed
Changed in network-manager (Ubuntu):
importance: Undecided → High
Matthias (msiewert) wrote :

didn't occur on 14.10 upgraded from 14.04, but came on clean install of 15.04 with Broadcom 802.11 driver.

I can confirm that this issue also occurs on 15.04 with iwlwifi driver.

Christof Arnosti (charno) wrote :

This bug occurs on my girlfriends laptop with 15.10 beta.

Symptoms: After suspend/resume cycle, wireless does not connect. rfkill list shows that it's hardware blocked (but no hardware switch present on device).

What works on this laptop is (from the brain, so no guarantee for exact module name):
rmmod -f iwlmvm
rmmod -f iwlwifi
rfkill unblock all
modproble iwlwifi

If you need additional info I can provide it.

Elena (elena-bcn) wrote :

This bug occurs to me as well on a clean install of Ubuntu 15.10 (64 bits).
I have it installed on a Dell xps lalptop (I can give more details if needed).

Anyway... I've notice a very important detail. This behaviour only happens to me when I close the laptop and it is suspended automatically.

That does NOT happen if I suspend it manually.

The network-manager version installed is: 1.0.4-0ubuntu5.1.

Tell me if I can help giving any other information

Petr Chmelar (chmelab) wrote :

I can confirm on Lenovo T420s and 16.04 Xenial 64 - mostly after resuming from suspend using the lid.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-lts-xenial (Ubuntu):
status: New → Confirmed
lauricat (lauricat) wrote :

Can confirm same here, clean 16.04 MATE install. Latest intel iwlwifi driver for c6205 wifi card.

Network list not refreshing after resume from suspend, but reconnects to WiFi Network previously connected. (laptop not moved to new location - hence same network present, but not listed.)

Disabling and re-enabling WiFi does nothing.

Disabling and re-enabling WiFi H/W switch does nothing.

Disabling and re-enabling Networking does nothing.

Tests include going back - clean install - to 14.04.2 MATE and fault non-existent. So I can eliminate H/W issues.

Work around for me that works:

http://askubuntu.com/questions/761180/wifi-doesnt-work-after-suspend-after-16-04-upgrade

I have used script, and automated it, as mentioned here and confirms it works for me.

On my research this problem is very widespread and was mentioned in latest Linux Action Show:

http://www.jupiterbroadcasting.com/99036/linuxfest-northwest-2016-las-414/ [see 26:19]

lauricat (lauricat) wrote :

Please note this fix (https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1380480/comments/9) NO LONGER works for me - from yesterday - after a month or so or working absolutely perfectly fine. (X220 Lenevo Laptop, 16.04 MATE edition.) ie. back to the same problem of NOT indicating Networks available on Resume, and connecting to Wireless showing connected to an unknown network via ethernet connected symbol.

I suspect it broke yesterday after a rather larger system update that was pushed out yesterday. Could others please check if the same happens to their system - that have used this workaround?

Thanks.

[Waiting patiently for a fix....]

Just upgraded to 16.04 from 14.10 and have the same problem - after suspending and resuming, Ubuntu doesn't reconnect. This regression is pretty annoying and should be listed in the known issues before prompting the user to upgrade.

My laptop is a DELL E7450.

Forgot to mention: "Enable Wi-Fi" doesn't have the checkmark after resuming. If I click on it, the connection is reestablished successfully.

Intel Wireless 3160 (iwlwifi driver), Ubuntu MATE 16.04 is still being affected. The connection is reestablished but no wireless Access Points are displayed (up/down arrow ethernet icon instead of wireless). It seems that this same bug has been reported several times here and upstream, with no relevant updates :(

One more thing I forgot to mention. Ubuntu (Unity) works perfectly. Any other official flavour or distribution launched before 2016 (as this is a new laptop) will have this issue. I couldn't find what makes Ubuntu's network-manager work as it should yet.

Hans Deragon (deragon) wrote :

Ubuntu (Unity) does not work perfectly. I have this problem using Ubuntu 16.04 LTS Xenial Xerus with Unity.

Hans Deragon (deragon) wrote :

Bug #1585863 is not the same, but until someone finds the proper fix for both issues, why not introduce a script under /etc/pm/sleep.d that restarts the network manager upon resume? Lets get something working for the non technical people / consumer quickly. Such a script would "solve" the problem for both issues.

Hans Deragon (deragon) wrote :

It is not clear what this issue is really about. Is it about the network-manager being frozen after resume?

This happens to me and the solution is to run:

sudo systemctl restart network-manager # >=16.04

or

sudo restart network-manager # <16.04

However, lauricat reports that this solution does not work, suggesting that my problem is not the same. We need to clarify things here.

Yanpas (yanpaso) wrote :

It seems like NetworkManager kills itself if there is something wrong in the system. I face similar bug with connected serial port https://bugzilla.kernel.org/show_bug.cgi?id=121521

Jo Christian (jochristian) wrote :

Seeing the same problem in my Dell XPS13 (2016) with intel card.
When the problem is presentm doing "sudo iwlist wlp58s0 scanning" makes wifi work again for me.
Not the best fix but I don't need to reboot at least.

Loris Zinsou (nepenthes) wrote :

I'm affected in the same way as lauricat: wifi reconnects after resuming from suspend (I have Internet access), however only an unknown ethernet connection icon is displayed by the network manager applet (while no ethernet cable is connected to my laptop), and the list of available wifi networks is absent from the network manager applet menu.

This laptop is a Dell Inspiron 15 2-in-1; model 5568.

Nabeel Siddiqui (nabsiddiqui) wrote :

Same problem on my XPS 13 9343. Have to restart through command line. I like the solution to add a script in the meantime in /etc/pm/sleep.d

Dan Gillmor (dan-gillmor) wrote :

Bizarre that something of this kind got through testing and, after all this time, is unfixed...

affects: linux-lts-xenial (Ubuntu) → linux (Ubuntu)
tags: added: suspend-resume
Francisco Cribari (cribari) wrote :

After resuming, it is necessary to do a

sudo systemctl restart network-manager.service

Hans-Richard Grube (neycroir) wrote :

I'm on Ubuntu 16.04 (clean) and both my T430 and my X1 Carbon (2013) are affected by this bug.

Hans Deragon (deragon) wrote :

This crucial bug that undermines the reputation of Ubuntu has remained opened for a very long time. Obviously, the fix seams complicated since it still has not arrived. But meantime, people want a working laptop, period. This is the kind of bug that pushed many previous Linux users to migrate to Mac OS X, simply because the latter simply works.

May I suggest that someone at Canonical simply push a script under '/etc/pm/power.d' that calls 'systemctl restart NetworkManager.service' upon resume until all power management and networking issues are resolved? At least, this will give people back a system that "just works".

Seth Arnold (seth-arnold) wrote :

Hans, note that this bug was opened before systemd was used as a system init.

A quick skim of this bug's history suggests that it's been polluted beyond use.

If you're having trouble, please file a new bug. With luck, it'll be focused on one thing and therefor fixable.

Thanks

michalje (michalje) wrote :

And this is serious system? Really?? This bug have 2 years?? I back to windows:(

Confirming the presence of this bug in 16.10

Seth Arnold (seth-arnold) wrote :

Michalje, Kristijian, note that this bug was opened before systemd was used as a system init. If you're still having trouble please file a new bug.

Thanks.

Aron Xu (happyaron) wrote :

Original report of this bug suggests it is a kernel bug - later comment about restart network manager is related to another report.

Changed in network-manager (Ubuntu):
status: Confirmed → Invalid
Hans Deragon (deragon) wrote :

@Aron Xu, I can you be sure the problem is not Network Manager related? I do not say you are wrong, but could you point to some evidence that the Network Manager is not involved with this? Searching through the comments, the word 'kernel' does not show often and none suggest that the problem is within the kernel per say. I believe that you are closing the issue on the Network Manager hastily.

To post a comment you must log in.